Loading...
Searching...
No Matches
histogram.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "array.h"`
`#include "flat_map.h"`
`#include "functional.h"`
`#include "integral_limits.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::private_histogram::histogram_common< TCount, Max_Size_ >
| Base for histograms. More...
class | etl::histogram< TKey, TCount, Max_Size, Start_Index >
| Histogram with a compile time start index. More...
class | etl::histogram< TKey, TCount, Max_Size, etl::integral_limits< int32_t >::max >
| Histogram with a run time start index. More...
class | etl::sparse_histogram< TKey, TCount, Max_Size_ >
| Histogram for sparse keys. More...

## Namespaces

namespace | etl

## Variables

template<typename TCount, size_t Max_Size_>
ETL_CONSTANT size_t | etl::private_histogram::histogram_common< TCount, Max_Size_ >::Max_Size
template<typename TKey, typename TCount, size_t Max_Size_>
ETL_CONSTANT size_t | etl::sparse_histogram< TKey, TCount, Max_Size_ >::Max_Size